CS::Animation::iSkeletonIKNode Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonIKNode Struct Reference

An animation node that generates an animation for a sub-part of the skeleton (a CS::Animation::iBodyChain) by specifying some geometrical constraints on the effectors placed on the skeleton. More...

`#include <imesh/animnode/ik.h>`

Inheritance diagram for CS::Animation::iSkeletonIKNode:

List of all members.

## Public Member Functions
virtual void | AddConstraint (CS::Animation::EffectorID effector, csOrthoTransform &transform)=0
| Add a constraint on the given effector so that it sticks to the given world transform.
virtual void | AddConstraint (CS::Animation::EffectorID effector, iMovable *target, const csOrthoTransform &offset)=0
| Add a constraint on the given effector so that it sticks to the given transform of the iMovable.
virtual void | AddConstraint (CS::Animation::EffectorID effector, iCamera *target, const csOrthoTransform &offset)=0
| Add a constraint on the given effector so that it sticks to the given transform of the iCamera.
virtual void | RemoveConstraint (CS::Animation::EffectorID effector)=0
| Remove the constraint on the given effector.

## Detailed Description

An animation node that generates an animation for a sub-part of the skeleton (a CS::Animation::iBodyChain) by specifying some geometrical constraints on the effectors placed on the skeleton.

This node is inactive until there are some constraints on some effector. The effectors are defined by iSkeletonIKNodeFactory::AddEffector().

See also:
  iSkeletonIKPhysicalNode

Definition at line 138 of file ik.h.

## Member Function Documentation

virtual void CS::Animation::iSkeletonIKNode::AddConstraint | ( | CS::Animation::EffectorID | effector,
|  | csOrthoTransform & | transform
| ) |  | `[pure virtual]`

Add a constraint on the given effector so that it sticks to the given world transform.

Parameters:

  effector | ID of the effector
  transform | Transform to stick to, in world coordinates

virtual void CS::Animation::iSkeletonIKNode::AddConstraint | ( | CS::Animation::EffectorID | effector,
|  | iMovable * | target,
|  | const csOrthoTransform & | offset
| ) |  | `[pure virtual]`

Add a constraint on the given effector so that it sticks to the given transform of the iMovable.

Parameters:

  effector | ID of the effector
  target | The iMovable to stick to.
  offset | Offset transform to the iMovable, in the iMovable local coordinates.

virtual void CS::Animation::iSkeletonIKNode::AddConstraint | ( | CS::Animation::EffectorID | effector,
|  | iCamera * | target,
|  | const csOrthoTransform & | offset
| ) |  | `[pure virtual]`

Add a constraint on the given effector so that it sticks to the given transform of the iCamera.

Parameters:

  effector | ID of the effector
  target | The iCamera to stick to.
  offset | Offset transform to the iCamera, in the iCamera local coordinates.

virtual void CS::Animation::iSkeletonIKNode::RemoveConstraint | ( | CS::Animation::EffectorID | effector | ) | `[pure virtual]`

Remove the constraint on the given effector.

This animation node won't be active anymore if there are no more constraints.

The documentation for this struct was generated from the following file:

- imesh/animnode/ik.h